package com.fastbee.ggroup.domain;

import com.fastbee.common.annotation.Excel;
import com.fastbee.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;


/**
 * 组对象 g_groups
 *
 * @author kerwincui
 * @date 2024-09-27
 */
@ApiModel(value = "GGroups",description = "组 g_groups")
@Data

public class GGroups extends BaseEntity
        {
private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 组名 */
            @Excel(name = "组名")
            @ApiModelProperty("组名")
    private String name;

    /** 图标 */
            @Excel(name = "图标")
            @ApiModelProperty("图标")
    private String icon;

    /** 标签(1江河湖泊，2水利工程，3.检测站点，4.其他对象，5.水利事务，6.报警事件) */
            @Excel(name = "标签(1江河湖泊，2水利工程，3.检测站点，4.其他对象，5.水利事务，6.报警事件)")
            @ApiModelProperty("标签(1江河湖泊，2水利工程，3.检测站点，4.其他对象，5.水利事务，6.报警事件)")
    private Long tag;

    /** 项目id */
            @Excel(name = "项目id")
            @ApiModelProperty("项目id")
    private Long projectId;

    /** 项目名称 */
            @Excel(name = "项目名称")
            @ApiModelProperty("项目名称")
    private String projectName;

    /** 空间数据 */
            @Excel(name = "空间数据")
            @ApiModelProperty("空间数据")
    private String space;

    /** 父菜单名称 */
    private String parentName;

    /** 父菜单ID */
    private Long parentId;

    /** 显示顺序 */
    private Integer orderNum;

    /** 祖级列表 */
    private String ancestors;

    /** 子部门 */
    private List<GGroups> children = new ArrayList<>();

}