package com.fastbee.ggroup.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fastbee.ggroup.domain.GSiteGroups;

/**
 * 站点组关系Mapper接口
 *
 * @author kerwincui
 * @date 2024-09-30
 */
public interface GSiteGroupsMapper extends BaseMapper<GSiteGroups>
{

    /**
     * 查询站点组关系
     *
     * @param id 站点组关系主键
     * @return 站点组关系
     */
    public GSiteGroups selectGSiteGroupsById(Long id);

    /**
     * 查询站点组关系列表
     *
     * @param gSiteGroups 站点组关系
     * @return 站点组关系集合
     */
    public List<GSiteGroups> selectGSiteGroupsList(GSiteGroups gSiteGroups);

    /**
     * 新增站点组关系
     *
     * @param gSiteGroups 站点组关系
     * @return 结果
     */
    public int insertGSiteGroups(GSiteGroups gSiteGroups);

    /**
     * 修改站点组关系
     *
     * @param gSiteGroups 站点组关系
     * @return 结果
     */
    public int updateGSiteGroups(GSiteGroups gSiteGroups);

    /**
     * 删除站点组关系
     *
     * @param id 站点组关系主键
     * @return 结果
     */
    public int deleteGSiteGroupsById(Long id);

    /**
     * 批量删除站点组关系
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteGSiteGroupsByIds(Long[] ids);
}
